入门

欢迎使用 BuddyPress!本节将帮助您将新的 BuddyPress 支持的站点设置为超级/站点管理员:​​安装和配置您的设置以管理用户、组、活动流和其他 BuddyPress 组件。如果您启用特定组件,它还将为您的用户提供指南。要运行 BuddyPress,请遵循以下一些准则。

要运行 BuddyPress,我们建议您的主机支持:

  • PHP 7.0 或更高版本
  • MySQL 5.6 或更高版本

必需

有关 BuddyPress 发布版本和 WordPress 版本兼容性列表,请参阅版本发布

  • Apache 模块 mod_rewrite 为 “漂亮的永久链接” 启用
  • WordPress 应该手动安装,即通过 FTP、cpanel 等。
  • BuddyPress 不适用于您为 WordPress 提供自己目录的安装
  • 任何子目录或子域 WordPress/BuddyPress 安装的文件夹名称必须为小写。
  • PHP 必须安装 GD 或 imagick 模块(在服务器上)以允许重新调整图像大小;如果没有激活这些模块之一,BP 头像上传将失败(WP 将无法为帖子创建图像大小,但不会显示错误)
  • AllowOverride 应设置为 All 在 .htaccess 所在的文件夹中,例如:
<VirtualHost *:80>
DocumentRoot /var/www/html
<Directory "/var/www/html">
AllowOverride All
</Directory>
</VirtualHost>

下一步